# Get All Balances

<mark style="color:green;">**`GET`**</mark> `https://api.sfox.com/v1/user/balance`

Retrieve your account balances by currency. Results include an array of objects, each of which has details for a single currency.

{% hint style="info" %}
[**Rate Limit**](/rest-api/rate-limits.md)**: 5 requests per 10 seconds**

sFOX recommends using the [**Balances WebSocket feed**](/websocket-api/orders-and-account-data/balances.md) instead, which allows you to receive all balance changes in real-time, and does not count towards your request limit.
{% endhint %}

### Response Body

<table><thead><tr><th width="190.63141904239762">Key</th><th>Description</th></tr></thead><tbody><tr><td><strong><code>currency</code></strong></td><td>The currency</td></tr><tr><td><strong><code>balance</code></strong></td><td>The total balance of this currency in your account across all wallets outlined below</td></tr><tr><td><strong><code>available</code></strong></td><td>The portion of the balance that is available for trading or withdrawals</td></tr><tr><td><strong><code>held</code></strong></td><td>Potion of the balance that is currently on hold and unavailable for trading or withdrawals (i.e. an ACH deposit that has yet to settle)</td></tr><tr><td><strong><code>borrow_wallet</code></strong></td><td>Amount of the currency , represented as the borrow wallet balance</td></tr><tr><td><strong><code>collateral_wallet</code></strong></td><td>Amount of the current being held as collateral in your collateral wallet</td></tr><tr><td><strong><code>lending_wallet</code></strong></td><td>Amount of the currency in your lending wallet</td></tr><tr><td><strong><code>trading_wallet</code></strong></td><td>Amount of the currency in your trading wallet</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;">200</mark></summary>

```json
[
  {
    "currency":"btc",
    "balance": 1,
    "available": 1,
    "held": 0,
    "borrow_wallet": 0,
    "collateral_wallet": 0,
    "lending_wallet": 0,
    "trading_wallet": 1
  },
  {
    "currency":"usd",
    "balance": 100,
    "available": 90,
    "held": 10,
    "borrow_wallet": 0,
    "collateral_wallet": 0,
    "lending_wallet": 0,
    "trading_wallet": 100
  }
]
```

</details>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

```bash
curl -H 'Authorization: Bearer <API_TOKEN>' 
-H 'Content-Type: application/json' \
-X GET \
'https://api.sfox.com/v1/user/balance'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/v1/user/balance',
  headers: {
    'Authorization': 'Bearer <API_KEY>'
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

data = requests.get(
  "https://api.sfox.com/v1/user/balance",
  headers={
    "Authorization": "Bearer <API_KEY>",
  }
)
print(data)
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/rest-api/account-management/get-all-balances.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
